Page MenuHomeFreeBSD

security/openssl111: Fix linking with lld on i386
ClosedPublic

Authored by brnrd on Sep 30 2018, 11:12 AM.

Details

Summary
security/openssl111: Fix linking with lld on i386

 - Fix shared option
 - While here, fix ordering

PR:		231459
Submitted by:	Nathan <ndowens yahoo com>
Reported by:	emaste
Differential_Revision:	https://reviews.freebsd.org/D17362

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 19882
Build 19408: arc lint + arc unit

Event Timeline

brnrd created this revision.Sep 30 2018, 11:12 AM
brnrd edited the summary of this revision. (Show Details)Sep 30 2018, 11:13 AM
brnrd added a reviewer: ndowens_yahoo.com.
brnrd updated this revision to Diff 48589.Sep 30 2018, 11:16 AM

Fix is needed for i386, not amd64

brnrd retitled this revision from security/openssl111: Fix linking with lld to security/openssl111: Fix linking with lld on i386.Sep 30 2018, 11:17 AM
brnrd edited the summary of this revision. (Show Details)
brnrd edited the summary of this revision. (Show Details)Sep 30 2018, 11:30 AM
brnrd edited reviewers, added: emaste; removed: ed.
security/openssl111/Makefile
28

USES= and USE_* Should be above HAS_CONFIGURE, but below CONFLICTS
According to handbook

mat added inline comments.Oct 1 2018, 1:32 PM
security/openssl111/Makefile
28

Unless I missed something, there is nothing about CONFLICTS variable being special in chapter 15. So they go in the Standard bsd.port.mk Variables block.

security/openssl111/Makefile
28

Ah just looked. I was thinking of ignore/broken block

emaste accepted this revision.Oct 2 2018, 5:57 PM
This revision is now accepted and ready to land.Oct 2 2018, 5:57 PM
ndowens_yahoo.com accepted this revision.Oct 2 2018, 7:39 PM
This revision was automatically updated to reflect the committed changes.
brnrd marked an inline comment as done.